@import "../../scss/buttons";
@import "../../scss/mixin";

$tweakpoints: (
  "small": 320px,
  "small-landscape": 481px,
  "inline": 650px,
  "block": 980px
) !default;

.sign-in {
  width: max-content !important;
  border: 0.1em;
  padding: 1em;
  margin: 0.1em 0rem;
  background-color: $back_main-color--low;
  form {
    .terms-reset {
      display: flex;
      margin-top: -2.75rem;
      margin-bottom: 0.5rem;
      justify-content: space-between;
    }
  }

  h2,
  span {
    color: $second-color;
    display: flex;
    a {
      display: flex;
      justify-items: center;
      text-align: end;
      // position: relative;
      // height: max-content;
      // top: -2.3rem;
      font-size: 0.75rem;
      // text-align: right;
      // left: 8rem;
      height: max-content !important;
      margin: auto;
      color: $second-color;
    }
    @include respond-to("small") {
      a {
        font-size: 0.6rem;
      }
    }
  }
  .submit {
    display: flex;
    // width: 15rem;
    justify-content: space-between;
    justify-items: center;
    color: $back_main-color;
    align-items: baseline;
    a {
      margin-left: 1em;
      color: $second-color;
      font-size: medium;
    }
  }
  .other-account {
    display: flex;
    justify-content: space-between;
    justify-items: center;
    align-content: center;
    margin-top: 1em;
    border-bottom: 0.1rem solid $color__text--low;
  }
  .third-party {
    width: 100%;
    display: flex;
    padding: 0.25em;
    border-radius: 0.25em;
    box-sizing: border-box;
    display: flex;
    justify-content: flex-start;
    justify-items: center;
    align-items: center;
    height: 3em;

    &:hover {
      cursor: pointer;
    }
    .logo {
      height: 2.5em;
      width: 2.5em;
      background-color: $back_main-color--low;
      border-radius: 0.15rem;
    }
  }
  @include respond-to("small") {
    width: 18rem !important;
    a {
      font-size: 0.5rem;
    }
  }
  @include respond-to("small-landscape") {
    width: 24rem !important;
  }
}
